<?php

namespace App\Generated\Controllers\V1;

use App\Http\Controllers\Controller;
use App\Generated\V1\Messages\ReportLog\ClickUserHomeMessage;
use App\Http\Services\V1\ReportLogService;
use App\Generated\V1\Messages\ReportLog\FeedLogMessage;
use DB;

class ReportLogController extends Controller
{
    public $handler;

    public function __construct(ReportLogService $handler)
    {
        $this->handler = $handler;
    }

    public function clickUserHome(ClickUserHomeMessage $message)
    {
        $message->validateInput();
        $this->handler->clickUserHome($message);
        $message->validateOutput();
        return $message->getResponse();
    }

    public function feedLog(FeedLogMessage $message)
    {
        $message->validateInput();
        $this->handler->feedLog($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
